Page MenuHomePhabricator

Infrastructure for adding C attributes
ClosedPublic

Authored by aaron.ballman on Dec 15 2017, 5:06 PM.

Details

Reviewers
rsmith
Summary

This patch extends the Clang attribute spelling to include support for double square-bracket attributes. Currently, all attributes with the Clang spelling will be C++ only. However, at some point I suspect the default will either switch to be a spelling for C and C++ or will require an explicit decision to be made for each attribute.

This patch adds the annotate attribute as a C attribute as an initial experiment. Additional attributes will be added in follow-up patches.

Diff Detail

Event Timeline

aaron.ballman created this revision.Dec 15 2017, 5:06 PM

Post-holiday ping.

rsmith accepted this revision.Jan 2 2018, 5:55 PM
This revision is now accepted and ready to land.Jan 2 2018, 5:55 PM
aaron.ballman closed this revision.Jan 3 2018, 2:24 PM

I commit in r321763. I changed the name of IncludeC to be AllowInC at John McCall's suggestion.